AI & indexing
Query the vector database for semantic search
Proxies to the WG vector DB (Chroma). Use for semantic / nearest-neighbor lookups across spell or feat names and descriptions.
POST
/
vector-db-query-collection
Query the vector database for semantic search
curl --request POST \
--url https://api.wanderersguide.app/functions/v1/vector-db-query-collection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"nResults": 1,
"maxDistance": 1
}
'import requests
url = "https://api.wanderersguide.app/functions/v1/vector-db-query-collection"
payload = {
"query": "<string>",
"nResults": 1,
"maxDistance": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', nResults: 1, maxDistance: 1})
};
fetch('https://api.wanderersguide.app/functions/v1/vector-db-query-collection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"distance": 123,
"data": {}
}
]
}{
"status": "fail",
"data": {
"message": "<string>"
}
}{
"status": "fail",
"data": {
"message": "<string>"
}
}{
"status": "fail",
"data": {
"message": "<string>"
}
}{
"status": "fail",
"data": {
"message": "<string>"
}
}{
"status": "fail",
"data": {
"message": "<string>"
}
}{
"status": "error",
"message": "<string>",
"data": "<unknown>",
"code": 123
}{
"status": "error",
"message": "<string>",
"data": "<unknown>",
"code": 123
}{
"status": "error",
"message": "<string>",
"data": "<unknown>",
"code": 123
}Authorizations
API key created in your Wanderer's Guide account settings. Send as Authorization: Bearer <key>. Used for direct API access from external tools and scripts.
Body
application/json
Available options:
name, content Required string length:
1 - 16000Required range:
1 <= x <= 500.0 = identical; higher = more dissimilar.
Required range:
0 <= x <= 10Show child attributes
Show child attributes
⌘I
Query the vector database for semantic search

